%define major	15
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:          log4cxx
Version:       1.1.0
Release:       %mkrel 1
Summary:       A port to C++ of the Apache Log4j project
Group:         System/Libraries
License:       ASL 2.0
Url:           https://logging.apache.org/log4cxx/
Source0:       https://archive.apache.org/dist/logging/log4cxx/%{version}/apache-log4cxx-%{version}.tar.gz
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: zip
BuildRequires: pkgconfig(apr-1)
BuildRequires: pkgconfig(apr-util-1)

%description
Apache Log4cxx is a popular logging package written in C++. One of its distinctive
features is the notion of inheritance in loggers. Using a logger hierarchy it
is possible to control which log statements are output at arbitrary
granularity. This helps reduce the volume of logged output and minimize the
cost of logging.

%package -n %{libname}
Summary:       A port to C++ of the Apache Log4j project
Group:         System/Libraries

%description -n %{libname}
Apache Log4cxx is a popular logging package written in C++. One of its distinctive
features is the notion of inheritance in loggers. Using a logger hierarchy it
is possible to control which log statements are output at arbitrary
granularity. This helps reduce the volume of logged output and minimize the
cost of logging.

%package -n %{devname}
Group:         Development/C++
Summary:       Libraries and headers for %{name}
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{devname}
A port to C++ of the Apache Log4j project.

This package contains libraries and header files need for development.

%prep
%setup -q -n apache-log4cxx-%{version}
%autopatch -p1

%build
%cmake -DBUILD_SITE=ON
%cmake_build

%install
%cmake_install

%check
%ifnarch aarch64 %{arm}
%ctest
%endif

%files -n %{libname}
%doc KEYS LICENSE NOTICE
%{_libdir}/liblog4cxx.so.%{major}{,.*}

%files -n %{devname}
%doc %{_vpath_builddir}/src/site/html/
%{_includedir}/log4cxx/
%{_libdir}/liblog4cxx.so
%{_libdir}/pkgconfig/liblog4cxx.pc
%{_libdir}/cmake/log4cxx/


%changelog
* Sun Jul 02 2023 daviddavid <daviddavid> 1.1.0-1.mga9
+ Revision: 1963463
- new version: 1.1.0, fixes CVE-2023-31038 (mga#31901)
- switch to cmake build system
- now lib major is 15

* Sun Apr 03 2022 umeabot <umeabot> 0.10.0-14.mga9
+ Revision: 1841461
- Mageia 9 Mass Rebuild

* Mon Dec 28 2020 neoclust <neoclust> 0.10.0-13.mga8
+ Revision: 1664480
- Build against db 5.3

* Thu Feb 13 2020 umeabot <umeabot> 0.10.0-12.mga8
+ Revision: 1514860
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.10.0-11.mga7
+ Revision: 1299341
- Mageia 7 Mass Rebuild

* Sat Oct 07 2017 cjw <cjw> 0.10.0-10.mga7
+ Revision: 1169749
- fix build with gcc 7

* Fri Feb 12 2016 umeabot <umeabot> 0.10.0-9.mga6
+ Revision: 956044
- Mageia 6 Mass Rebuild

* Tue Aug 25 2015 neoclust <neoclust> 0.10.0-8.mga6
+ Revision: 869212
- Rebuild with new gcc

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-7.mga5
+ Revision: 740139
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 681980
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 wally <wally> 0.10.0-5.mga5
+ Revision: 661342
- fix libification
- disable static build and drop .la files

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-4.mga4
+ Revision: 507524
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.10.0-3.mga3
+ Revision: 358922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 02 2012 pterjan <pterjan> 0.10.0-2.mga2
+ Revision: 227801
- Rebuild after libexpat.la removal

* Sat Nov 05 2011 gil <gil> 0.10.0-1.mga2
+ Revision: 163932
- imported package log4cxx


* Wed Jul 13 2011 gil <gil> 0.10.0-0.%%mkrel
- initial rpm

